Last Comment Bug 762544 - Intermittent assertions during test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run ("ASSERTION: Wrong thread!: 'NS_IsMainThread()'" & "ASSERTION: illegal refcnt: 'PRInt32(mRefCnt) >= 0'")
: Intermittent assertions during test_overlapping_lockedfiles.html | Exited wit...
Status: RESOLVED FIXED
: assertion, intermittent-failure
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: Trunk
: x86 Windows XP
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Hsin-Yi Tsai [:hsinyi]
Mentors:
Depends on: 755781
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-06-07 09:28 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Ed Morley [:emorley] 2012-06-07 09:28:04 PDT
See also bug 762024.

Rev3 WINNT 5.1 mozilla-inbound debug test mochitests-2/5 on 2012-06-07 07:11:18 PDT for push 9447d46db02c

slave: talos-r3-xp-056

https://tbpl.mozilla.org/php/getParsedLog.php?id=12452186&tree=Mozilla-Inbound

{
780 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
781 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came second - 2 should equal 2
782 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
783 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
784 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
###!!! ASSERTION: Wrong thread!: 'NS_IsMainThread()', file e:/builds/moz2_slave/m-in-w32-dbg/build/dom/file/FileHelper.cpp, line 39
0x0000000001B10A48
0x0000000001B15EDD
0x0000000001B167AE
0x0000000001B15397
0x0000000001B15570
0x00000000013BC4A1
0x00000000013BF19A
0x00000000013BFD94
0x000000000245C323
0x000000000245C3D4
0x0000000002478AFC
0x000000000247627A
0x00000000024289DF
0x0000000002475934
nspr4!PRP_TryLock+0x000000000000060B
MSVCR100D!beginthreadex+0x00000000000001D4
kernel32!GetModuleFileNameA+0x00000000000001B4
###!!! ASSERTION: illegal refcnt: 'PRInt32(mRefCnt) >= 0', file e:/builds/moz2_slave/m-in-w32-dbg/build/xpcom/io/nsStreamUtils.cpp, line 464
nsStringStats
 => mAllocCount:         489605
 => mReallocCount:        26705
 => mFreeCount:          432605  --  LEAKED 57000 !!!
 => mShareCount:         869496
 => mAdoptCount:          49586
 => mAdoptFreeCount:      49583  --  LEAKED 3 !!!
0x000000000245C4CC
0x00000000013C0078
0x0000000001B1A120
0x0000000001B11269
0x0000000001B13A22
0x0000000001B14432
0x0000000001B146A5
0x0000000001B14A77
0x0000000001B19B53
0x000000000247627A
0x00000000024289DF
0x00000000022E05A1
0x00000000024B3B24
0x00000000024B419F
0x00000000024B47A3
0x00000000021E6412
0x00000000021A8968
0x0000000001FE739A
0x0000000001391291
0x0000000001391658
0x000000000139185D
0x0000000000401CA6
0x0000000000401F0D
0x000000000040208D
0x000000000040554F
0x000000000040537F
kernel32!RegisterWaitForInputIdle+0x0000000000000049
TEST-UNEXPECTED-FAIL | /tests/dom/file/test/test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run
}
Comment 1 Ed Morley [:emorley] 2012-06-07 10:42:15 PDT
Rev3 WINNT 5.1 services-central debug test mochitests-2/5 on 2012-06-05 19:42:04 PDT for push 3322cbca1413

slave: talos-r3-xp-047

{
830 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
831 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
832 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
833 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came second - 2 should equal 2
834 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
835 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
0x0000000001B0D460
0x0000000001B128F5
0x0000000001B131C6
0x0000000001B11DAF
0x0000000001B11F88
0x00000000013BC687
0x00000000013BF380
0x00000000013BFF7A
0x000000000245B048
0x000000000245B0F9
0x00000000024778DD
0x000000000247505B
0x00000000024276A4
0x0000000002474715
nspr4!PRP_TryLock+0x000000000000060B
MSVCR100D!beginthreadex+0x00000000000001D4
kernel32!GetModuleFileNameA+0x00000000000001B4
###!!! ASSERTION: illegal refcnt: 'PRInt32(mRefCnt) >= 0', file e:/builds/moz2_slave/srv-cen-w32-dbg/build/xpcom/io/nsStreamUtils.cpp, line 464
0x000000000245B1F1
0x00000000013C025E
0x0000000001B16B38
0x0000000001B0DC81
0x0000000001B1043A
0x0000000001B10E4A
0x0000000001B0D8CE
0x0000000001B16DD0
0x0000000001F03BAE
mozjs!JS_ResumeRequest+0x00000000000EB159
mozjs!JS_ResumeRequest+0x00000000000EEEBD
mozjs!JS_ResumeRequest+0x00000000000F4573
mozjs!JS_ResumeRequest+0x00000000000EEC82
mozjs!JS_ResumeRequest+0x00000000000FCB13
mozjs!JS_ResumeRequest+0x00000000000FCFF7
mozjs!JS_ResumeRequest+0x00000000000FD0FD
### ERROR: SymGetModuleInfo64: The specified module could not be found.
0x000000000775F4DA
### ERROR: SymGetModuleInfo64: The specified module could not be found.
0x00000000CE594865
### ERROR: SymGetModuleInfo64: The specified module could not be found.
nsStringStats
 => mAllocCount:         492786
 => mReallocCount:        26663
 => mFreeCount:          435339  --  LEAKED 57447 !!!
 => mShareCount:         872546
 => mAdoptCount:          50085
 => mAdoptFreeCount:      50082  --  LEAKED 3 !!!
0x000000000CAA3BC0
TEST-UNEXPECTED-FAIL | /tests/dom/file/test/test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run
}
Comment 2 Jan Varga [:janv] 2012-06-08 12:15:40 PDT
it's a race condition (a bug in netwerk/base/src/nsAsyncStreamCopier.cp), working on a fix
Comment 3 Jan Varga [:janv] 2012-06-09 22:08:29 PDT
fixed by bug 763013

Note You need to log in before you can comment on or make changes to this bug.